@media screen and (min-width : 0) and (max-width:1024px) {
    .mobile {
        display: inline;
    }

    .web {
        display: none;
    }

    .onsite-bg {
        /* background-image: url(../images/mobile_bg.png); */
        background-color: black;
        background-image: none;
         background-size: cover;      /* ✅ perfect fit */
    background-position: center;
    }

    .logo {
        margin-top: 5vh;
    }

    .registration_form {
        padding-top: 1vh;
    }

    .w-40 {
        width: 100%;
    }

    .form-control {
        font-size: 1rem;
    }

    #loginerror {
        font-size: 14px;
        margin-bottom: 5px;
    }

    #addbtn {
        font-size: 1rem;
    }

    .left-box {
        padding-top: 5vh;
    }

    .main_text {
        font-size: 1.75rem;
        margin-bottom: 0;
    }

    .text-image {
        width: 60%;
    }

    /* .mobile-icon {
        width: 70%;
        margin-top: 20px;
    } */
         .mobile-icon {
        display: block;
        width: 100%;
        margin: 0px auto;
        height: auto;
    }

    .form-group {
        margin-bottom: 10px;
    }
     .registration .row {
        display: block;        /* remove flex */
        min-height: auto;      /* remove full height */
    }
     .mobile-divider {
        width: 80%;
        height: 2px;  /* slightly thicker */
        margin: 0px auto;

        background: linear-gradient(
            to right,
            rgba(255,255,255,0),
            rgba(255,255,255,0.8),
            rgba(255,255,255,0)
        );

        border-radius: 2px;
    }
}


@media screen and (min-width : 0) and (max-width:380px) {
    .logo {
        margin-top: 3vh;
    }

    .text-image {
        margin-top: 10px;
    }

    .exclusive p {
        font-size: 12px;
        margin: 5px auto;
    }

    .main_text {
        font-size: 1.25rem;
        margin-bottom: 0;
    }

    .form-group {
        margin-bottom: 10px;
    }

    .form-control {
        font-size: .75rem;
        height: calc(1.5em + .75rem + 2px);
    }

    .form {
        padding: 5px 10px;
    }

    #addbtn {
        font-size: 12px !important;
        padding: 12px 12px;
    }

    #loginerror {
        font-size: 12px;
        margin-bottom: 5px;
    }
}

@supports (-webkit-touch-callout: none) {

    .main_text {
        font-size: 1.25rem;
        margin-bottom: 0;
    }

    .form-control {
        font-size: 16px;
        height: calc(1.5em + .75rem + 2px);
    }


    .form {
        padding: 5px 10px;
    }

    #addbtn {
        font-size: 12px !important;
        padding: 8px 12px;
    }

    #loginerror {
        font-size: 12px;
        margin-bottom: 5px;
    }

    .logo {
        margin-top: 3vh;
    }

    .text-image {
        margin-top: 10px;
    }

    .exclusive p {
        font-size: 12px;
        margin: 5px auto;
    }

    input::placeholder {
        font-size: 16px;
    }
}

